import { request } from "@/utils/request";

/**
 * 获取设备台账列表
 * @param params
 */
export const getDeviceLedgerList = (params) =>
  request({
    url: '/rq/iot-device/page/app',
    method: 'GET',
    params
  })

/**
 * 新增台账
 * @param data
 */
export const submitDeviceLedger = (data) =>
  request({
    url: '/rq/iot-device/create',
    method: 'POST',
    data
  })

/**
 * 获取台账详情
 * @param id
 */
export const getDeviceLedgerDetail = (id) =>
  request({
    url: '/rq/iot-device/get',
    method: 'GET',
    params: { id }
  })